Subject: Re: bug#19776: 25.0.50; HTML rendering is very slow

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 14:52:34 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> I misread the code -- I thought the cunningly named atimers global
> variable was the ones that had fired, but it's all the atimers.  So
> run_timers just goes through that list and does all the callbacks.

I lost track of this discussion, but the feature itself looks very
promising.

I didn't study what you did here, but one thing that would be really
nice is if we could update this message dynamically.  Other software
show a spinning marker for example, perhaps we could do something
similar?  In the simplest case, you just need to update a character
every 0.1 seconds (or something) in the sequence "|/-\".

I'm not an expert on UIX by any means, but AFAIK, users like it when
there is some visible feedback that the program didn't just go and die.
Research shows that the brain is easy to trick that way; even just a
dumb little spinning thing makes people subjectively feel that the
program is more responsive.  Maybe we could use that to our advantage.